<?php

	/*------------------------------------------------------------------------
	# mod_aixeena-slides.php - Aixeena Slides (module)
	# ------------------------------------------------------------------------
	# version		4.0.0
	# author    	Top Position 
	# copyright 	Copyright (c) 2017 Top Position All rights reserved.
	# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
	# Website		http://aixeena.org
	*/
	
	// no direct access
	defined('_JEXEC') or die;
	
	$document = JFactory::getDocument();
	if($params->get('includejs',1)) JHtml::_('jquery.framework');
	if($params->get('includecss',1)) $document->addStyleSheet(JURI::base(true). '/media/aixeena-slides/assets/vegas.min.css');
	if($params->get('includecss',1)) $document->addStyleSheet(JURI::base(true). '/media/aixeena-slides/assets/aixeena-slides.css');
	if($params->get('includejs',1)) $document->addScript(JURI::base(true). '/media/aixeena-slides/assets/vegas.min.js');
	if($params->get('includejs',1)) $document->addScript(JURI::base(true). '/media/aixeena-slides/assets/aixeena-slides.js');
	
	$effect = '';
	if($params->get('effect','')) $effect = '&effect='.$params->get('effect','');
	
	$effect2 = '';
	if($params->get('effect2','')) $effect2 = '&effect='.$params->get('effect2','');

	if($params->get('font','Old+Standard+TT')) $document->addStyleSheet('https://fonts.googleapis.com/css?family='.$params->get('font','Old+Standard+TT').$effect);
	
	if($params->get('font2','Old+Standard+TT')) $document->addStyleSheet('https://fonts.googleapis.com/css?family='.$params->get('font2','Old+Standard+TT').$effect2);

	$transitions = '';
	$animations = '';
	$slidesarray = '';
	$overlay = '';
	$logo = '';
	
	if( $params->get('overlay','true') =='true') $overlay = "overlay:'".JURI::base(true).'/media/aixeena-slides/assets/overlays/'.$params->get('pattern','01.png')."'";
	else $overlay = 'overlay:false';
	
	if( $params->get('transoranim','animations') =='animations') { //animations
		
		if($params->get('animation','random') == 'random') $animations = "animation: [ 'kenburns', 'kenburnsUp', 'kenburnsDown', 'kenburnsRight', 'kenburnsLeft', 'kenburnsUpLeft', 'kenburnsUpRight', 'kenburnsDownLeft', 'kenburnsDownRight' ]";
		else $animations = "animation: '".$params->get('animation','random')."'";
	
	} else { //transitions
	
		if($params->get('transition','random') == 'random') $transitions = "transition: [ 'fade', 'fade2', 'slideLeft', 'slideLeft2', 'slideRight', 'slideRight2', 'slideUp', 'slideUp2', 'slideDown', 'slideDown2', 'zoomIn', 'zoomIn2', 'zoomOut', 'zoomOut2', 'swirlLeft', 'swirlLeft2', 'swirlRight', 'swirlRight2', 'burn', 'burn2', 'blur', 'blur2', 'flash', 'flash2' ]";
		else $transitions = "transition: '".$params->get('transition','random')."'";
		$transitions .= ', transitionDuration: '.$params->get('transitionDuration','200');
	}
	
	$ordering_elements = $params->get('ordering','slide1, slide2, slide3, slide4, slide5, slide6, slide7, slide8, slide9, video1, video2, video3');
	$ordering_array = explode(',', $ordering_elements);

	foreach($ordering_array as $element) {
		
		$element =  trim($element);
		
		if($element=='slide1' && $params->get('slide1')) {
			if($slidesarray) $slidesarray .= ', ';
			$slidesarray .= '{ src: "'.JURI::base(true).'/'.$params->get('slide1').'" }';
		}
		if($element=='slide2' && $params->get('slide2')) {
			if($slidesarray) $slidesarray .= ', ';
			$slidesarray .= '{ src: "'.JURI::base(true).'/'.$params->get('slide2').'" }';
		}
		if($element=='slide3' && $params->get('slide3')) {
			if($slidesarray) $slidesarray .= ', ';
			$slidesarray .= '{ src: "'.JURI::base(true).'/'.$params->get('slide3').'" }';
		}
		if($element=='slide4' && $params->get('slide4')) {
			if($slidesarray) $slidesarray .= ', ';
			$slidesarray .= '{ src: "'.JURI::base(true).'/'.$params->get('slide4').'" }';
		}
		if($element=='slide5' && $params->get('slide5')) {
			if($slidesarray) $slidesarray .= ', ';
			$slidesarray .= '{ src: "'.JURI::base(true).'/'.$params->get('slide5').'" }';
		}
		if($element=='slide6' && $params->get('slide6')) {
			if($slidesarray) $slidesarray .= ', ';
			$slidesarray .= '{ src: "'.JURI::base(true).'/'.$params->get('slide6').'" }';
		}
		if($element=='slide7' && $params->get('slide7')) {
			if($slidesarray) $slidesarray .= ', ';
			$slidesarray .= '{ src: "'.JURI::base(true).'/'.$params->get('slide7').'" }';
		}
		if($element=='slide8' && $params->get('slide8')) {
			if($slidesarray) $slidesarray .= ', ';
			$slidesarray .= '{ src: "'.JURI::base(true).'/'.$params->get('slide8').'" }';
		}
		if($element=='slide9' && $params->get('slide9')) {
			if($slidesarray) $slidesarray .= ', ';
			$slidesarray .= '{ src: "'.JURI::base(true).'/'.$params->get('slide9').'" }';
		}
		
		if($element=='video1' && $params->get('video1')) {
			if($slidesarray) $slidesarray .= ', ';
			$slidesarray .= '{   src: "'.JURI::base(true).'/'.$params->get('video1img').'",
            video: {
                src: [
                    "'.JURI::base(true).'/media/aixeena-slides/assets/video/'.$params->get('video1').'.mp4",
                    "'.JURI::base(true).'/media/aixeena-slides/assets/video/'.$params->get('video1').'.webm",
                    "'.JURI::base(true).'/media/aixeena-slides/assets/video/'.$params->get('video1').'.ogv"
                ],
                loop: '.$params->get('video1loop','true').',
                mute: '.$params->get('video1mute','true').'
            }
        	}';
		}
		
		if($element=='video2' && $params->get('video2')) {
			if($slidesarray) $slidesarray .= ', ';
			$slidesarray .= '{   src: "'.JURI::base(true).'/'.$params->get('video2img').'",
            video: {
                src: [
                    "'.JURI::base(true).'/media/aixeena-slides/assets/video/'.$params->get('video2').'.mp4",
                    "'.JURI::base(true).'/media/aixeena-slides/assets/video/'.$params->get('video2').'.webm",
                    "'.JURI::base(true).'/media/aixeena-slides/assets/video/'.$params->get('video2').'.ogv"
                ],
                loop: '.$params->get('video2loop','true').',
                mute: '.$params->get('video2mute','true').'
            }
        	}';
		}
		
		if($element=='video3' && $params->get('video3')) {
			if($slidesarray) $slidesarray .= ', ';
			$slidesarray .= '{   src: "'.JURI::base(true).'/'.$params->get('video3img').'",
            video: {
                src: [
                    "'.JURI::base(true).'/media/aixeena-slides/assets/video/'.$params->get('video3').'.mp4",
                    "'.JURI::base(true).'/media/aixeena-slides/assets/video/'.$params->get('video3').'.webm",
                    "'.JURI::base(true).'/media/aixeena-slides/assets/video/'.$params->get('video3').'.ogv"
                ],
                loop: '.$params->get('video3loop','true').',
                mute: '.$params->get('video3mute','true').'
            }
        	}';
		}
		
	}
	
	$theid = "#vegaselement-".$module->id;
	if($params->get('bodyback') == 'true') $theid = "body";
	
	$fullheight = '';
	if($params->get('fullheight') == 'true') $fullheight = 'jQuery("'.$theid.'").height(jQuery(window).height());';
	if($params->get('semifullheight') == 'true') $fullheight = 'jQuery("'.$theid.'").height(jQuery(window).height()*0.8);';

	if($params->get('includejs',1)) $document->addScriptDeclaration('
	jQuery(document).ready(function() {
		'.$fullheight.'
		jQuery("'.$theid.'").vegas({
		delay:  '.$params->get('delay','7000').',
		loop:  '.$params->get('loop','true').',
		preload:  '.$params->get('preload','false').',
		timer: '.$params->get('timer','true').',
		shuffle: '.$params->get('shuffle','true').','.$overlay.','.$animations.$transitions.',
		slides: [
				'.$slidesarray.'
		]
		});});
	
	');
	
	if($params->get('custom','')) $document->addStyleDeclaration($params->get('custom',''));
	
	if($params->get('bodyback','false') == 'false') {
	
	
		$font = strtolower(preg_replace("/[^a-zA-Z0-9]+/", "", $params->get('font','Old+Standard+TT')));
		$font2 = strtolower(preg_replace("/[^a-zA-Z0-9]+/", "", $params->get('font2','Old+Standard+TT')));
		
		$style = '';
		if($params->get('maxwidth','')) $style = ' style="max-width:'.$params->get('maxwidth','').'px;"';
	
		echo '<div class="vegaselementcontainer '.$params->get('theme','theme1').'" >';
		
		if($params->get('href','')) echo '<a href="'.$params->get('href','').'" target="'.$params->get('href_target','').'">';
		
		echo '<div class="vegaselement" id="vegaselement-'.$module->id.'" style="height:'.$params->get('height','450').'px;">';
		
		echo '<div class="vegaselementtext" '.$style.'>';
			
			
		if($params->get('logo','')) {
			$logo_img = '<img src="'.JURI::base(true).'/'.$params->get('logo').'" class="aixslideslogo" />';
			if($params->get('logo_link','')) $logo = '<a href="'.$params->get('logo_link').'">'.$logo_img.'</a>';
			else $logo = $logo_img;
			echo $logo;
		}
		
		if($params->get('h1','')) echo '<h1 class="axslideshow font-'.$font.' font-effect-'.$params->get('effect','').'">'.$params->get('h1').'</h1>';  
		
		if($params->get('h2','')) echo '<h2 class="axslideshow font-'.$font2.' font-effect-'.$params->get('effect2','').'">'.$params->get('h2').'</h2>';   
		
		if($params->get('button_text','') && $params->get('btn_pos','')=='') echo '<a href="'.$params->get('button_link','#').'" target="'.$params->get('button_link_target','').'" class="slideshowbtn '.$params->get('btn_design','aixeena-btn aixeena-btn-lg aixeena-btn-default').' '.$params->get('btn_pos','').'  '.$params->get('btn_anim','').'">'.$params->get('button_text','').'</a>'; 
		
		if($params->get('customhtml','')) echo $params->get('customhtml','');
		
		echo '</div>';	
		
		if($params->get('button_text','') && $params->get('btn_pos','')) echo '<a href="'.$params->get('button_link','#').'" target="'.$params->get('button_link_target','').'" class="slideshowbtn '.$params->get('btn_design','aixeena-btn aixeena-btn-lg aixeena-btn-default').' '.$params->get('btn_pos','').'  '.$params->get('btn_anim','').'">'.$params->get('button_text','').'</a>'; 
		
		echo '</div>';
			
		if($params->get('href','')) echo '</a>';	
			
		echo '</div>';

	}

	
	echo '<div style="padding:5px; text-align: right; font-size:12px;">Desarrollado <a href="" title=" por Master comunicación política</a> Top Position';
	


?>